Open CASCADE Technology: TColgp_HArray2OfLin2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColgp_HArray2OfLin2d Class Reference

`#include <TColgp_HArray2OfLin2d.hxx>`

Inheritance diagram for TColgp_HArray2OfLin2d:
[legend]

## Public Member Functions
| TColgp_HArray2OfLin2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| TColgp_HArray2OfLin2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Lin2d &V)
void | Init (const gp_Lin2d &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Lin2d &Value)
const gp_Lin2d & | Value (const Standard_Integer Row, const Standard_Integer Col) const
gp_Lin2d & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColgp_Array2OfLin2d & | Array2 () const
TColgp_Array2OfLin2d & | ChangeArray2 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

TColgp_HArray2OfLin2d::TColgp_HArray2OfLin2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

TColgp_HArray2OfLin2d::TColgp_HArray2OfLin2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Lin2d & | V
| ) |  |

## Member Function Documentation

const TColgp_Array2OfLin2d& TColgp_HArray2OfLin2d::Array2 | ( |  | ) | const

TColgp_Array2OfLin2d& TColgp_HArray2OfLin2d::ChangeArray2 | ( |  | ) |

gp_Lin2d& TColgp_HArray2OfLin2d::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer TColgp_HArray2OfLin2d::ColLength | ( |  | ) | const

void TColgp_HArray2OfLin2d::Init | ( | const gp_Lin2d & | V | ) |

Standard_Integer TColgp_HArray2OfLin2d::LowerCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::LowerRow | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::RowLength | ( |  | ) | const

void TColgp_HArray2OfLin2d::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Lin2d & | Value
| ) |  |

Standard_Integer TColgp_HArray2OfLin2d::UpperCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::UpperRow | ( |  | ) | const

const gp_Lin2d& TColgp_HArray2OfLin2d::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- TColgp_HArray2OfLin2d.hxx